import { GraphQLSelection } from "./types";
export declare class SelectionFormatter {
    /**
     * Converts a GraphQL selection object into a formatted GraphQL query string
     * @param selection GraphQL selection object
     * @param indent Indentation level
     * @returns Formatted GraphQL query string
     */
    formatSelection(selection: GraphQLSelection, indent?: number): string;
}
