"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataSourcesContext = void 0;
var _DataLoader = require("../DataLoader");
class DataSourcesContext {
  dataSources = [];
  addDataSource(dataSource) {
    this.dataSources.push(dataSource);
  }
  getLoader() {
    return new _DataLoader.DataLoader(this.dataSources);
  }
}
exports.DataSourcesContext = DataSourcesContext;

//# sourceMappingURL=DataSourcesContext.js.map